Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
mysql update and "òèàù" [Solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
eddy89
Apprentice
Apprentice


Joined: 01 Feb 2006
Posts: 172
Location: /world/Italy/Torino

PostPosted: Wed May 03, 2006 1:23 pm    Post subject: mysql update and "òèàù" [Solved] Reply with quote

Hi, I was working well with 4.1.14 version of mysql(=dev-db/mysql-4.1.14).
But in last time this version has been masked and the new one (dev-db/mysql-4.1.14-r1) don't work well: some italian characters like "èàòù" (italian character with accent) are not read correctly from the database to php and apache server.
(In phpBB2, in old posts these are not displayed good, and in new posts, these are replaced by "?")

I noticed that the new version don't use the "-utf8" (or "utf8") use flag, maybe this is my problem?

Why the old version (=dev-db/mysql-4.1.14) has been masked?

What can I do to solve this problem?

p.s. I already tryed to change configuration, from utf8 to latin1, and vice-versa.
p.p.s. I use uclibc version of gentoo.
p.p.p.s: I noticed that this forum don't display correctly these characters too.

Thank you.


Last edited by eddy89 on Sun May 07, 2006 8:35 am; edited 1 time in total
Back to top
View user's profile Send private message
eddy89
Apprentice
Apprentice


Joined: 01 Feb 2006
Posts: 172
Location: /world/Italy/Torino

PostPosted: Wed May 03, 2006 3:14 pm    Post subject: Reply with quote

Sorry for the double-post, but it's quite urgent.
Anywhere i discovered something: changing in httpd.conf
Code:
AddDefaultCharset ISO-8859-1

to
Code:
AddDefaultCharset UTF-8


I solved the problem in the forum's posts, but i make the same problem appear in my main-page.

So the new package of mysql don't has support for latin1??

How can I compile it with this support?

p.s.: I have unmasked the old version and i'm re-emerging it, so if you can reply, you may save me from an hacker's attak... (Why the old version (=dev-db/mysql-4.1.14) has been masked??? )
Back to top
View user's profile Send private message
SoylentGreen
l33t
l33t


Joined: 19 Aug 2005
Posts: 904
Location: The Hostel

PostPosted: Sun May 07, 2006 8:21 am    Post subject: Reply with quote

your problem is already discussed (and solved) here:
https://forums.gentoo.org/viewtopic-t-436439-highlight-mysql4+1+19.html
Back to top
View user's profile Send private message
eddy89
Apprentice
Apprentice


Joined: 01 Feb 2006
Posts: 172
Location: /world/Italy/Torino

PostPosted: Sun May 07, 2006 8:34 am    Post subject: Reply with quote

Thank you, but i solved by updating to 4.1.19, also thank to gentoo Irc (#gentoo-apache).
Back to top
View user's profile Send private message
SoylentGreen
l33t
l33t


Joined: 19 Aug 2005
Posts: 904
Location: The Hostel

PostPosted: Sun May 07, 2006 8:39 am    Post subject: Reply with quote

eddy89 wrote:
Thank you, but i solved by updating to 4.1.19, also thank to gentoo Irc (#gentoo-apache).

the procedure for 4.14-r1 and 4.19 is the same, both are discussed in the thread i mentioned. though, good you solved it ;)
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Sun May 07, 2006 1:50 pm    Post subject: Reply with quote

Moved from Networking & Security to Duplicate Threads, please see this topic: åäö in mysql problem.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum